Daily Price
curl --request GET \
--url https://api.chicago.global/v1/daily-price \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chicago.global/v1/daily-price"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chicago.global/v1/daily-price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chicago.global/v1/daily-price",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chicago.global/v1/daily-price"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chicago.global/v1/daily-price")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chicago.global/v1/daily-price")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Price Data
Daily Price
Get daily price data for one or multiple symbols. If dates not provided, returns latest price.
GET
/
v1
/
daily-price
Daily Price
curl --request GET \
--url https://api.chicago.global/v1/daily-price \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chicago.global/v1/daily-price"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chicago.global/v1/daily-price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chicago.global/v1/daily-price",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chicago.global/v1/daily-price"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chicago.global/v1/daily-price")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chicago.global/v1/daily-price")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get historical daily OHLCV price data for a stock.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
symbol | string | Yes | Stock symbol (e.g., AAPL, MSFT). Comma-separated for multiple. |
start_date | string | No | Start date (YYYY-MM-DD). Defaults to 1 year ago. |
end_date | string | No | End date (YYYY-MM-DD). Defaults to latest available. |
Response
Returns an array of daily price records:[
{
"ric": "AAPL.O",
"date": "2025-12-01",
"open": 278.01,
"high": 283.42,
"low": 276.14,
"close": 283.10,
"volume": 46587723,
"changepercent": 1.52
},
{
"ric": "AAPL.O",
"date": "2025-12-02",
"open": 283.00,
"high": 287.40,
"low": 282.63,
"close": 286.19,
"volume": 53669532,
"changepercent": 1.09
}
]
Key Fields
| Field | Description |
|---|---|
ric | Resolved RIC |
date | Trading date |
open / high / low / close | OHLC prices in the stock’s trading currency |
volume | Daily trading volume |
changepercent | Percentage price change from previous close |
Example
curl "https://api.chicago.global/v1/daily-price?symbol=AAPL&start_date=2025-12-01&end_date=2025-12-31" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start date in YYYY-MM-DD format
Example:
"2024-01-01"
End date in YYYY-MM-DD format
Example:
"2024-12-31"
Stock symbol(s). Single or comma-separated
Examples:
"AAPL"
"AAPL,MSFT,GOOG"
Response
Successful Response
Last modified on April 1, 2026
⌘I